Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.ant
Class LoggingHelper

    java.lang.Object
      org.codehaus.groovy.ant.LoggingHelper

    public class LoggingHelper

extends Object

Helper to make logging from Ant easier.

Version:
  $Id: LoggingHelper.java 7286 2007-08-16 19:30:17Z user57 $
Author:
  Jason Dillon

Constructor Summary
`LoggingHelper(Task owner)`

Method Summary
`void` | `debug(String msg)`
`void` | `error(String msg)`
`void` | `info(String msg)`
`void` | `verbose(String msg)`
`void` | `warn(String msg)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LoggingHelper

    public LoggingHelper(Task owner)

Method Detail

### error

    public void error(String msg)

### warn

    public void warn(String msg)

### info

    public void info(String msg)

### verbose

    public void verbose(String msg)

### debug

    public void debug(String msg)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2008 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD